version: '3'

services:

  redis:
    build:
      context: .
      dockerfile: ./docker/Dockerfile.redis
    privileged: true
    entrypoint: ["sh"]
    command: "./init.sh"
    restart: on-failure
    ports:
      - "6379:6379"
    volumes:
      - redisdata:/data
    deploy:
      resources:
        limits:
          cpus: '8'
          memory: 32G
volumes:
  redisdata: